403Webshell
Server IP : 207.135.97.11  /  Your IP : 172.19.0.1
Web Server : LiteSpeed
System : Linux 6d372a2d2e33 5.14.0-611.24.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Fri Jan 23 11:42:43 UTC 2026 x86_64
User : nobody ( 65534)
PHP Version : 8.3.30
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : OFF  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /var/lib/dpkg/info/python3.preinst
#! /bin/sh
set -e

# remove the python3 alternatives before installing our own python3 link

update-alternatives --auto /usr/bin/python3 >/dev/null 2>&1 || true

[ -L /usr/share/doc/python3/html ] || rm -rf /usr/share/doc/python3/html

case "$1" in
    upgrade)
	oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python pre-rtupdate hooks for python3.12..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook pre-rtupdate python$oldv python3.12; then
		hb=$(basename $hook .rtupdate)
		echo >&2 "error running python pre-rtupdate hook $hb"
		echo >&2 "running python failed-pre-rtupdate hook $hb"
		$hook failed-pre-rtupdate python$oldv python3.12
		errors=yes
		break
	    fi
	done
	[ -z "$errors" ] || exit 3
esac



Youez - 2016 - github.com/yon3zu
LinuXploit